using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;

public partial class StringNotRecognizedAsAValidDateTime : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }
    protected void RadGrid1_NeedDataSource(object sender, Telerik.Web.UI.GridNeedDataSourceEventArgs e)
    {
        DataTable table = new DataTable();
        table.Columns.Add("ValidFromDate", typeof(DateTime));
        table.Columns.Add("ValidToDate", typeof(DateTime));
        table.Rows.Add(DateTime.Now, DateTime.Now.AddDays(1));
        table.Rows.Add(DateTime.Now, DateTime.Now.AddDays(1));
        table.Rows.Add(DateTime.Now, DateTime.Now.AddDays(1));
        table.Rows.Add(DateTime.Now, DateTime.Now.AddDays(1));


        this.RadGrid1.DataSource = table;
    }
}